php生成数据字典

2016-10-17 liyangweb.com 李杨 PHP

开发中数据库必不可少,关于数据字典,独自开发的小项目还好 ,一旦项目大起来,或者其他开发人员参与进来,那么数据库就像是一本天书,尤其一些状态值,更是猜不透什么意思,这时候一个完善的状态字典就显得意义非凡了,而编写数据字典又是一件异常繁琐的事,尤其是数据库结构出现变动的时候。不过有了这个,生成数据字典将是一件非常享受的事情。

代码是网上找的,非原创,效果图如下:

阅读全文>>

标签: mysql PHP

评论(1) 浏览(1964)

wordpress的Zerif Lite免费版的一个后门

2016-9-28 liyangweb.com 李杨 PHP

最近在阿里云上安装了一个wordpress,又安装了Zerif Life主题,不久阿里云提示我某模板文件中有一个后门,于是去查看了,一下,果然是赤裸裸的后门啊,

在代码顶部竟然有这样一段:

阅读全文>>

标签: wordpress

评论(0) 浏览(2656)

如何获取 YII2 AR 执行的 SQL 语句,直接用程序输出,而不是通过日志去查看

2016-8-18 liyangweb.com 李杨 PHP

$query = User::find()
  ->where(['id'=>[1,2,3,4])
  ->select(['username'])
// get the AR raw sql in YII2
$commandQuery = clone $query;
echo $commandQuery->createCommand()->getRawSql();
$users = $query->all();

转自:https://gist.github.com/dcb9/e5fd296ba4bca16bf98c

标签: yii2

评论(2) 浏览(3841)

wordpress WPImageEditorImagick 指令注入漏洞的解决方法

2016-8-8 liyangweb.com 李杨 PHP

昨天在阿里云上装了一个wordpress,今天就收到了阿里云的短信提醒,“【阿里云】尊敬的用户:您的服务器xxx.xxx.xx.xx存在wordpress WP_Image_Editor_Imagick 指令注入漏洞,已为您准备补丁可一键修复漏洞,为避免被黑客入侵,建议您登录云盾-服务器安全(安骑士)控制台,进行查看和处理,同时建议您在控制台使用安全巡检功能对服务器进行全面检查。

感觉阿里云还挺贴心的,于是打开安其实开始修复,可没想到确让我购买专业版,咱干技术这么多年,可不能花这冤枉钱,于是开始了我自己的修复之路。

阅读全文>>

标签: wordpress

评论(0) 浏览(2341)

wordpress主题加载Gravatar头像失败的问题

2016-8-7 liyangweb.com 李杨 PHP

由于天朝的原因,Gravatar主题在大陆无法使用,而wordpress又恰巧使用的就是Gravatar头像,导致wordpress站点默认情况下在天朝访问超级慢,下面是解决方法:

每个主题都有自己的functions.php方法,在当前主题下的functions.php最后(如果文件最后包含 “?>”,那么要写在这个的上一行),加入如下代码:

阅读全文>>

标签: PHP wordpress

评论(1) 浏览(1575)

php如何判断客户端类型

2016-8-3 liyangweb.com 李杨 PHP

眼下移动端如日中天,于是给我们的web开发也带来了不小的变化,几年前web开发最常听到的是“如何兼容IE6”,而现在大家挂在嘴边的已经是如何兼容各式各样的移动端设备。

兼容移动端更多的还是前端工程师的任务,当然后端工作也是很重要的,比如根据不同设备引入不同模板、客户端在特定APP打开时,调用此APP相关接口、前端无法判断更详细的客户端类型的时候,需要后台判断完成后返回给前端等等。

阅读全文>>

标签: PHP

评论(0) 浏览(1510)

卸载yum安装的php

2016-7-26 liyangweb.com 李杨 PHP

在服务器上装了一个yum默认的php,但是由于版本太低,需要换一个,于是准备卸掉重装,但是发现卸载过程并不那么顺畅。

阅读全文>>

评论(0) 浏览(4132)

composer报错Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist

2016-7-13 liyangweb.com 李杨 PHP

要安装yii2,先装了Composer,composer装好后,按照官网的步骤,执行

php composer.phar global require "fxp/composer-asset-plugin:~1.1.1"

但是报错了  Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist

这是由于一个api更新了,需要执行以下命令就OK了

php composer.phar global update fxp/composer-asset-plugin --no-plugins

标签: PHP composer

评论(0) 浏览(2153)

windows下安装composer报错

2016-6-24 liyangweb.com 李杨 PHP

今天在windows下安装composer,遇到一个奇怪的问题:

在执行

php -r "readfile('https://getcomposer.org/installer');" | php
的时候,报了这样一个错误

阅读全文>>

标签: PHP

评论(0) 浏览(2609)

微信+yii2的那些坑

2016-6-15 liyangweb.com 李杨 PHP

最近搞了一个微信公众号玩,后台语言用的php7,选用yii2框架,在发开公众号自动回复的时候,遇到几点问题,下面我结合开发调试流程给大家讲解一下。
说明一下,关于具体如何一步一步的操作,微信官方以及网上都有很多现成的资料,故不是本文的重点,本文重点来帮广大开发人员填坑。

阅读全文>>

评论(3) 浏览(5079)

Powered by emlog 冀ICP备13011830号-1